[SOLVED] Virtualenv : command not found


#1

Hello,
I have a centos6 and i try the following command to install client :

git clone https://github.com/letsencrypt/letsencrypt
cd letsencrypt
./letsencrypt-auto

and i get the following error :
virtualenv : command not found.

Python install correctly, no error.
Just one message during the process :
"No package python-virtualenv available."
Do you have any idea to solve this problem ?
Thanks.

Nicolas


#2

Hey Nicolas,

See if you can install the dependency with pip:

pip install virtualenv

and see if that helps resolve the issue.

–… Archer


#3

fyi you also need python 2.7 instead of centos 6’s default python 2.6 see [SOLVED]Error installing the client CentOS 6.7


#4

Hello !
Thanks to @Archer. Il install virtualenv with he command : pip install virtualenv.

@eva2000 : I tried to install python 2.7 like in the post you mentioned, but the repository --enablerepo=ius doesn’t exist.
So i installed it ans then
yum -y install python27 python27-devel python27-pip python27-setuptools python27-tools python27-virtualenv --enablerepo=ius
No error.

But now i have another error during the letsencrypt script :
Command “python setup.py egg_info” failed with error code 1 in /tmp/pip-build-PM RzXk/ConfigArgParse

Thanks for your help !
Best regards
Nicolas


#5

you need to install IUS Community yum repo first https://ius.io/GettingStarted/


#6

@eva2000 thanks for your quick reply.

Yes as i describe it, i installed the IUS community yum repo.
After i installed with no error the python 2.7.

But now i have another error during the letsencrypt-auto script :
Command “python setup.py egg_info” failed with error code 1 in /tmp/pip-build-PM RzXk/ConfigArgParse

Best regards.
Nicolas


#7

What’s output from

yum repolist all

probably ran into this https://github.com/letsencrypt/letsencrypt/issues/1106#issuecomment-150746851

i installed at /root/tools/letsencrypt so i had to remove directory /root/.local/share which is relative to base directory


#8

Loaded plugins: fastestmirror, priorities, replace
Loading mirror speeds from cached hostfile

  • atomic: mirror1.34sp.com
  • epel: mirror.de.leaseweb.net
  • ius: mirrors.ircam.fr
    437 packages excluded due to repository priority protections
    repo id repo name status
    C6.0-base CentOS-6.0 - Base disabled
    C6.0-centosplus CentOS-6.0 - CentOSPlus disabled
    C6.0-contrib CentOS-6.0 - Contrib disabled
    C6.0-extras CentOS-6.0 - Extras disabled
    C6.0-updates CentOS-6.0 - Updates disabled
    C6.1-base CentOS-6.1 - Base disabled
    C6.1-centosplus CentOS-6.1 - CentOSPlus disabled
    C6.1-contrib CentOS-6.1 - Contrib disabled
    C6.1-extras CentOS-6.1 - Extras disabled
    C6.1-updates CentOS-6.1 - Updates disabled
    C6.2-base CentOS-6.2 - Base disabled
    C6.2-centosplus CentOS-6.2 - CentOSPlus disabled
    C6.2-contrib CentOS-6.2 - Contrib disabled
    C6.2-extras CentOS-6.2 - Extras disabled
    C6.2-updates CentOS-6.2 - Updates disabled
    C6.3-base CentOS-6.3 - Base disabled
    C6.3-centosplus CentOS-6.3 - CentOSPlus disabled
    C6.3-contrib CentOS-6.3 - Contrib disabled
    C6.3-extras CentOS-6.3 - Extras disabled
    C6.3-updates CentOS-6.3 - Updates disabled
    C6.4-base CentOS-6.4 - Base disabled
    C6.4-centosplus CentOS-6.4 - CentOSPlus disabled
    C6.4-contrib CentOS-6.4 - Contrib disabled
    C6.4-extras CentOS-6.4 - Extras disabled
    C6.4-updates CentOS-6.4 - Updates disabled
    C6.5-base CentOS-6.5 - Base disabled
    C6.5-centosplus CentOS-6.5 - CentOSPlus disabled
    C6.5-contrib CentOS-6.5 - Contrib disabled
    C6.5-extras CentOS-6.5 - Extras disabled
    C6.5-updates CentOS-6.5 - Updates disabled
    C6.6-base CentOS-6.6 - Base disabled
    C6.6-centosplus CentOS-6.6 - CentOSPlus disabled
    C6.6-contrib CentOS-6.6 - Contrib disabled
    C6.6-extras CentOS-6.6 - Extras disabled
    C6.6-updates CentOS-6.6 - Updates disabled
    PHP_5_2_17-dist PHP_5_2_17 dist disabled
    PHP_5_2_17-thirdparty PHP_5_2_17 thirdparty disabled
    PHP_5_3_29-dist PHP_5_3_29 dist disabled
    PHP_5_3_29-thirdparty PHP_5_3_29 thirdparty disabled
    PHP_5_4_45-dist PHP_5_4_45 dist disabled
    PHP_5_4_45-thirdparty PHP_5_4_45 thirdparty disabled
    PHP_5_5_30-dist PHP_5_5_30 dist disabled
    PHP_5_5_30-thirdparty PHP_5_5_30 thirdparty disabled
    PHP_5_6_14-dist PHP_5_6_14 dist disabled
    PHP_5_6_14-thirdparty PHP_5_6_14 thirdparty disabled
    PPB_12_0_18-dist PPB_12_0_18 dist disabled
    PPB_12_0_18-thirdparty PPB_12_0_18 thirdparty disabled
    PSA_12_0_18-dist PSA_12_0_18 dist disabled
    PSA_12_0_18-thirdparty PSA_12_0_18 thirdparty disabled
    SITEBUILDER_12_0_7-dist SITEBUILDER_12_0_7 dist disabled
    SITEBUILDER_12_0_7-thirdparty SITEBUILDER_12_0_7 thirdparty disabled
    atomic CentOS / Red Hat Enterprise Li enabled: 1,936
    atomic-testing CentOS / Red Hat Enterprise Li disabled
    base CentOS-6 - Base enabled: 6,454+121
    base-debuginfo CentOS-6 - Debuginfo disabled
    c6-media CentOS-6 - Media disabled
    centosplus CentOS-6 - Plus disabled
    contrib CentOS-6 - Contrib disabled
    epel Extra Packages for Enterprise enabled: 11,534+274
    epel-debuginfo Extra Packages for Enterprise disabled
    epel-source Extra Packages for Enterprise disabled
    epel-testing Extra Packages for Enterprise disabled
    epel-testing-debuginfo Extra Packages for Enterprise disabled
    epel-testing-source Extra Packages for Enterprise disabled
    extras CentOS-6 - Extras enabled: 36+8
    fasttrack CentOS-6 - fasttrack disabled
    ius IUS Community Packages for Ent enabled: 288+2
    ius-archive IUS Community Packages for Ent disabled
    ius-archive-debuginfo IUS Community Packages for Ent disabled
    ius-archive-source IUS Community Packages for Ent disabled
    ius-debuginfo IUS Community Packages for Ent disabled
    ius-dev IUS Community Packages for Ent disabled
    ius-dev-debuginfo IUS Community Packages for Ent disabled
    ius-dev-source IUS Community Packages for Ent disabled
    ius-source IUS Community Packages for Ent disabled
    ius-testing IUS Community Packages for Ent disabled
    ius-testing-debuginfo IUS Community Packages for Ent disabled
    ius-testing-source IUS Community Packages for Ent disabled
    updates CentOS-6 - Updates enabled: 434+32
    repolist: 20,682

And finally with the method https://github.com/letsencrypt/letsencrypt/issues/1106#issuecomment-150746851 it work great !!!

Thanks a lot @eva2000.
I modifiy the title of this subject to solved.

Bests regards
Nicolas


#9

excellent glad i could help :slight_smile:


#10

I don’t think wiping /root/.local/share completely is a good idea. Removes also data you may want to keep. Better find the real issue and delete just a single or two subfolders.


#11

[quote=“kelunik, post:10, topic:2127, full:true”]
I don’t think wiping /root/.local/share completely is a good idea. Removes also data you may want to keep. Better find the real issue and delete just a single or two subfolders.
[/quote] in my case and @kilone it’s centos 6.7 and python 2.6 not officially being supported

Updating letsencrypt and virtual environment dependencies...
Requirement already up-to-date: setuptools in /root/.local/share/letsencrypt/lib/python2.6/site-packages
/root/.local/share/letsencrypt/lib/python2.6/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL     appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
Requirement already up-to-date: pip in /root/.local/share/letsencrypt/lib/python2.6/site-packages
Collecting letsencrypt

so only wipe /root/.local/share/letsencrypt/lib/python2.6 ?


#12

That may be enough, but deleting all applications’ stuff in there doesn’t seem like a good idea.


#13

Hello @kelunik
In my case the server was in a clean and fresh install conditions. So no matter about losing some data. :grinning:

Nicolas


#14

But others may not be in a clean state and follow the instructions here. :wink:


#15

indeed, although this would only happen at first time install for systems that default to python 2.6 out of the box


Redhat / CentOS 6.x users need python 2.7
Error while executing instructions mentioned in beta invite [./letsencrypt-auto ]